var bot = require('../lib/bot').bot;

var client = new bot('config.js');

var images = [];

function getBatch(start) {
	client.getImages(start, function(data, next) {
		images = images.concat(data);
		if (next) {
			getBatch(next);
		}
		else {
			console.log('Images count: ' + images.length);
			processImages(images);
		}
	});
}

function processImages(images) {
	client.logIn(function() {
		var total = images.length,
			item = 1;

		images.forEach(function(image) {
			client.getImageInfo(image.title, function(meta) {
				console.log((item++) + '/' + total + ': ' + image.title + '...');

				if (!meta.exif) {
					return;
				}

				// sprawdź autora zdjęcia
				var uploader = meta.user;
				switch(uploader) {
					case 'Macbre':
						console.log('Macbre: ' + image.title);
						//console.log(meta.exif);

						if (meta.exif.Model === 'Canon EOS 450D') {
							var template = '{{Szablon:Fotografie użytkownika Macbre}}';

							console.log(image.title + ' sprawdzam...');

							client.getArticle(image.title, function(content) {
								if (content.indexOf(template) > -1) {
									return;
								}

								// dodaj szablon
								content = (template + "\n\n" + content).trim();

								console.log(image.title + ' oznaczam...');

								client.edit(image.title, content, 'Oznaczanie zdjęć', function(data) {
									console.log(image.title + ' oznaczony!');
								});
							});
						}
						break;
				}
			});
		});
	});
}

getBatch(0);
